Page MenuHomePhabricator

Wikimedia Technical Conference 2019 Unconference: Local development environment - adoption and long-term maintenance
Closed, DeclinedPublic

Description

Session

  • Track: Local Development and onboarding
  • Topic: Local development environment - adoption and long-term maintenance

Description

What are the challenges surrounding adoption and long-term maintenance of a local development environment "standard" (decided upon in T234632)? How will we overcome them?

Questions to answer and discuss

Question:
Significance:

Question:
Significance:

Related Issues

  • ...
  • ...

Pre-reading for all Participants

  • [add links here]

Notes document(s)

[link to notes document (gdoc and / or etherpad)]

Notes and Facilitation guidance

https://www.mediawiki.org/wiki/Wikimedia_Technical_Conference/2019/NotesandFacilitation


Session Leader(s)

  • [name]
  • [name]

Session Scribes

  • [name]
  • [name]

Session Facilitator

  • [name]

Session Style / Format

  • [what type of format will this session be?]

Session Leaders please:

  • Add more details to this task description.
  • Coordinate any pre-event discussions (here on Phab, IRC, email, hangout, etc).
  • Outline the plan for discussing this topic at the event.
  • Optionally, include what this session will not try to solve.
  • Update this task with summaries of any pre-event discussions.
  • Include ways for people not attending to be involved in discussions before the event and afterwards.

Post-event summary:

  • ...

Post-event action items:

  • ...

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 13 2019, 10:24 AM
josephine_l renamed this task from Local development environment - adoption and long-term maintenance to Wikimedia Technical Conference 2019 Session: Local development environment - adoption and long-term maintenance.Oct 13 2019, 10:24 AM
josephine_l updated the task description. (Show Details)
josephine_l updated the task description. (Show Details)Oct 13 2019, 10:31 AM

I just commented in T235372: Wikimedia Technical Conference 2019 Session: Local development environment - complex multi-service Mediawiki development and said.

The main issues I see with this area as a whole however is that it either needs dedicated development time to maintain the environment or buy in and maintenance by all of the teams involved that are expected to have services run in the environment.

greg added a subscriber: greg.Oct 23 2019, 9:42 PM

(Programming note)

Due to our inability to find a session leader(s), this session was NOT accepted and will NOT be pre-scheduled.

What can I do?

There will be approximately a day's worth of time devoted to unconference sessions at this year's Technical Conference. You are free to use that time to discuss this topic if there is interest.

greg renamed this task from Wikimedia Technical Conference 2019 Session: Local development environment - adoption and long-term maintenance to Wikimedia Technical Conference 2019 Unconference: Local development environment - adoption and long-term maintenance.Oct 23 2019, 9:43 PM
josephine_l removed josephine_l as the assignee of this task.Nov 11 2019, 5:08 PM
greg closed this task as Declined.Dec 17 2019, 10:14 PM